import { App } from "vue";

import ltMxgraphByVue from "@/components/index";

import { vFloatFirective } from "./components/common-directive/index"; //定义全局指令

const components = [ltMxgraphByVue];
const install = (app: App) => {
  components.forEach((component) => {
    //@ts-ignore
    app.component(component.name, component);
  });
  vFloatFirective(app);
};

export default {
  install,
  ltMxgraphByVue,
};

export { ltMxgraphByVue };
